﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using WPFSchematics.Definition.Entities;

namespace WPFSchematics.Definition.Models
{
    /// <summary>
    /// 状态类型。
    /// </summary>
    public class StateType : Naming
    {
        /// <summary>
        /// 状态条目。
        /// </summary>
        public static readonly DependencyProperty SymbolStateTypeProperty = DependencyProperty.Register(
        "StateCatalogue",
        typeof(StateCatalogue),
        typeof(StateType)
        );

        /// <summary>
        /// 状态条目。
        /// </summary>
        public StateCatalogue StateCatalogue
        {
            get
            {
                return (StateCatalogue)GetValue(SymbolStateTypeProperty);
            }
            set
            {
                SetValue(SymbolStateTypeProperty, value);
            }
        }

        /// <summary>
        /// 状态标识
        /// </summary>
        public static readonly DependencyProperty StateIdProperty = DependencyProperty.Register(
        "StateId",
        typeof(string),
        typeof(StateType)
        );

        /// <summary>
        /// 状态标识。
        /// </summary>
        public string StateId
        {
            get
            {
                return (string)GetValue(StateIdProperty);
            }
            set
            {
                SetValue(StateIdProperty, value);
            }
        }
    }
}
