﻿using System.Globalization;
using System.Windows;
using System.Windows.Media;

namespace WPFSchematics.Definition.Shapes
{
    /// <summary>
    /// 文本图元设备接口。
    /// </summary>
    public interface IShapeText:IShapeGeometry
    {
        /// <summary>
        /// 文本内容。
        /// </summary>
        string Text { set; get; }
        /// <summary>
        /// 对齐方式。
        /// </summary>
        TextAlignment TextAlignment { set; get; }
        /// <summary>
        /// 流动方向。
        /// </summary>
        FlowDirection FlowDirection { set; get; }
        /// <summary>
        /// 字号。
        /// </summary>
        double EmSize { set; get; }
        /// <summary>
        /// 区域信息。
        /// </summary>
        CultureInfo CultureInfo { set; get; }
        /// <summary>
        /// 字样。
        /// </summary>
        Typeface Typeface { set; get; }
    }
}
